Subject: Re: mpd client timeouts (bisected) 2.6.35-rc3

From: John Fastabend <[email-masked]>
Date: Sun, 13 Jun 2010 01:05:27 -0700

David Miller wrote:
> From: Markus Trippelsdorf <[email-masked]>
> Date: Sat, 12 Jun 2010 12:28:02 +0200
> 
>> Commit 597a264b1a9c7e36d1728f677c66c5c1f7e3b837:
>> »net: deliver skbs on inactive slaves to exact matches«
>>
>> causes large timeouts when mpd clients try to connect to a locally
>> running mpd (music player demon) on my machine. This makes it 
>> impossible to control mpd.
>>
>> I bisected this down to the commit mentioned above.
>> Reverting the commit from 2.6.35-rc3 also solves the problem.
> 
> John, find an easy and fast way to fix this or else I am
> going to revert.
> 
> Thanks.

Looks like skbs are hitting loopback_xmit() with deliver_no_wcard set.  Then in 
the receive path these skbs are only delivered to exact matches.  Not sure why 
this bit is set here, I'll track this down first thing tomorrow.

Thanks,
John.